<?php
namespace HCM\AVL\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;

class CriterioResultadoRepository {
    
    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }
    
    public function getFaixaCritResult($nrcriteriorresul, $nrorg) {
        $query = $this->entityManager->getConnection()->prepare("
            SELECT NRFAIXACRIRESUL, NRORG
                  FROM FAIXACRITRESULT
                  WHERE NRCRITERIORESUL = :NRCRITERIORESUL
                    AND NRORG = :P_NRORG"
        );
        $query->execute(
            array(
            'P_NRORG' => $nrorg,
            'NRCRITERIORESUL' => $nrcriteriorresul
            )
        );
        return $query->fetchAll();
    }
} 
